Timer Class Reference

high resolution timer More...

`#include <hrtimer.h>`

Inheritance diagram for Timer:

## Public Types

enum | Unit { SECONDS = 0, MILLISECONDS, MICROSECONDS, NANOSECONDS }

## Public Member Functions

| Timer (Unit unit=TimerBase::SECONDS, bool stuckAtZero=false)
TimerWord | GetCurrentTimerValue ()
TimerWord | TicksPerSecond ()
void | StartTimer ()
double | ElapsedTimeAsDouble ()
unsigned long | ElapsedTime ()

## Detailed Description

high resolution timer

Definition at line 51 of file hrtimer.h.

The documentation for this class was generated from the following file:

- hrtimer.h